givintrns.h File Reference

arithmetic for RNS representations. More...

`#include "givaro/givconfig.h"`
`#include "givaro/givinteger.h"`
`#include "givaro/givintrns_cstor.inl"`
`#include "givaro/givintrns_convert.inl"`
Include dependency graph for givintrns.h:

## Data Structures

class | IntRNSsystem< Container, Alloc >
| RNS system class. No doc. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

arithmetic for RNS representations.

Modular arithmetic for GIVARO. Here is defined arithmetic functions on rns representation with Givaro Integers.